Bug 1395165 - libtiff: Out-of-bounds heap read in _TIFFPrintField()
Summary: libtiff: Out-of-bounds heap read in _TIFFPrintField()
Keywords:
Status: CLOSED DUPLICATE of bug 1395264
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1395166 1395167 1395266
Blocks: 1395169
TreeView+ depends on / blocked
 
Reported: 2016-11-15 10:31 UTC by Adam Mariš
Modified: 2019-09-29 13:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-17 07:10:45 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-11-15 10:31:50 UTC
An out-of-bounds heap read was found in _TIFFPrintField() caused by improper null termination.

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2590

CVE assignment:

http://seclists.org/oss-sec/2016/q4/421

Comment 1 Adam Mariš 2016-11-15 10:33:52 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1395166]

Comment 2 Adam Mariš 2016-11-15 10:33:58 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1395167]

Comment 3 Andrej Nemec 2016-11-15 14:32:08 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1395266]

Comment 4 Salvatore Bonaccorso 2016-11-15 18:53:41 UTC
Hi

I think the CVE in the alias is a typo? Should that be CVE-2016-9297?

Comment 5 Doran Moppert 2016-11-17 06:51:45 UTC
Thanks Salvatore, you are correct.  Bug 1395264 is the correct ticket for CVE-2016-9297, this one is a duplicate/misfire.

I will close it as such, but first need to investigate how some of our tools are responding to this inconsistency.

Comment 6 Doran Moppert 2016-11-17 07:10:45 UTC

*** This bug has been marked as a duplicate of bug 1395264 ***


Note You need to log in before you can comment on or make changes to this bug.